#!/bin/sh

DAYS=7

logger -p user.notice "Cleaning stored objects more than $DAYS old."
STORED_OBJECTS_DIR=$(uci -q get powercompute.config.stored_objects_directory) || {
	logger -p user.err "No Stored object directory configured, not cleaning"
	exit 1
}

echo "Cleaning: " $STORED_OBJECTS_DIR

logger -p user.notice "Cleaning stored objects in $STORED_OBJECTS_DIR"
find $STORED_OBJECTS_DIR -name "*.json" -mtime +$DAYS -exec logger -p user.warn "Removing file {}" \; -exec rm {} \;


